commit:     45ae3c01f58be5d85cd8ca2632722a7f303d91d5
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 16 12:50:35 2021 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Fri Apr 16 12:53:59 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=45ae3c01

app-cdr/brasero: Install metainfo to correct location

Closes: https://bugs.gentoo.org/732898
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 .../{brasero-3.12.2-r1.ebuild => brasero-3.12.2-r2.ebuild}        | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/app-cdr/brasero/brasero-3.12.2-r1.ebuild 
b/app-cdr/brasero/brasero-3.12.2-r2.ebuild
similarity index 92%
rename from app-cdr/brasero/brasero-3.12.2-r1.ebuild
rename to app-cdr/brasero/brasero-3.12.2-r2.ebuild
index 917812f3310..3c5638c5640 100644
--- a/app-cdr/brasero/brasero-3.12.2-r1.ebuild
+++ b/app-cdr/brasero/brasero-3.12.2-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -74,3 +74,9 @@ src_configure() {
                $(use_enable playlist) \
                $(use_enable tracker search)
 }
+
+src_install() {
+       default
+       mv "${ED}"/usr/share/{appdata,metainfo} || die
+       find "${ED}" -type f -name "*.la" -delete || die
+}

Reply via email to